GoSmarter Logo
GoSmarter API Gateway

Check feature access

GET
https://api.gosmarter.ai
/api/company/{companyId}/entitlements/check/{featureKey}

Checks if a company has access to a specific feature by feature key

Check feature access › path Parameters

companyId
​string · uuid · required

The company ID

featureKey
​string · required

The feature key to check (e.g., 'inventory-read', 'inventory-write', 'mill-certs-read')

Check feature access › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Check feature access › Responses

Access check result

featureKey
​string
hasAccess
​boolean
message
​string

List company entitlements

GET
https://api.gosmarter.ai
/api/company/{companyId}/entitlements

Retrieves all feature entitlements for a company, including both granted and free features

List company entitlements › path Parameters

companyId
​string · uuid · required

The company ID

List company entitlements › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List company entitlements › Responses

List of company entitlements

featureId
​integer · int32
featureKey
​string
featureName
​string
description
​string
category
​string
requiresUnlock
​boolean
displayOrder
​integer · int32
isEnabled
​boolean
unlockedAt
​string · date-time
expiresAt
​string · date-time
notes
​string
hasAccess
​boolean